<template>
    <div class="app-mob-treeview <#if ctrl.getPSSysCss()??><#assign singleCss = ctrl.getPSSysCss()> ${singleCss.getCssName()}</#if>">
    <#if ctrl.render??>
    ${ctrl.render.code}
    <#else>
        <mt-tab-container v-if="!isOptional" @input="deleteNode" v-model="active"  swipeable>
            <mt-tab-container-item :id="index"  v-for="(nodelist,index) in nodeArray" :key="index">
                <div v-for="(node,index) in nodelist" :key="index">
                    <mt-cell   :title="node.srfmajortext">
                        <van-icon v-if="node.leaf === false" name="wap-nav"  @click.native="show(node)"/>
                    </mt-cell>
                </div>
            </mt-tab-container-item>
        </mt-tab-container>

        <van-checkbox-group v-if="isOptional" v-model="checkedList">
            <mt-tab-container  v-model="active" @input="deleteNode" swipeable>
                <mt-tab-container-item :id="index" v-for="(nodelist,index) in nodeArray" :key="index">
                    <template v-for="(node,index2) in nodelist" >
                    <mt-cell v-if="node.leaf === false" :title="node.text" :key="'cell'+index2" @click.native="show(node)">
                        <van-icon name="wap-nav" />
                    </mt-cell>
                    <mt-cell v-else :title="node.text" :key="'cell'+index2" @click.native="toggle(node)">
                        <van-checkbox :name="node.id"></van-checkbox>
                    </mt-cell>
                    </template>
                </mt-tab-container-item>
            </mt-tab-container>
        </van-checkbox-group>
    </#if>
    </div>
</template>