<#if view.hasPSControl('dataview')>
<#assign dataview = view.getPSControl('dataview')>
<#if !dataview.isNoSort()>
    <#assign state = false />
    <#list dataview.getPSDEDataViewItems() as item>
        <#if item.isEnableSort()>
        <#assign state = true/>
        <#break>
        </#if>
    </#list>
    <#if state>
<#assign view_header_botton>
        <ion-toolbar class="${srffilepath2(view.getCodeName())}-toolbar default-sort">
                <div class="view-tool">
                    <div class="view-tool-sorts">
                        <div class="view-tool-sorts">
                        <#list dataview.getPSDEDataViewItems() as item>
                            <#if item.isEnableSort()>
                            <div class="view-tool-sorts-item">
                                <span class="text" @click="setSort('<#if item.getName()??>${item.getName()}</#if>')"><#if item.getCaption()??>${item.getCaption()}</#if></span>
                                <span class="sort-icon" @click="setSort('<#if item.getName()??>${item.getName()}</#if>')">
                                    <ion-icon :class="{'ios' : true ,'hydrated': true ,'sort-select': sort.asc == '<#if item.getName()??>${item.getName()}</#if>'}" name="chevron-up-outline" ></ion-icon>
                                    <ion-icon :class="{'ios' : true ,'hydrated': true ,'sort-select': sort.desc == '<#if item.getName()??>${item.getName()}</#if>'}" name="chevron-down-outline" ></ion-icon>
                                </span>
                            </div>
                            </#if>
                        </#list>
                        </div>
                        <div class="view-tool-searchform">
                            <!-- <span>过滤<ion-icon name="filter-outline"></ion-icon></span>  -->
                        </div>
                    </div>
                    <div class="view-tool-searchform">
                            <ion-icon @click="changeSize"  :name="iconname"></ion-icon>
                    </div>
                </div>
            </ion-toolbar>
</#assign>
    </#if>
</#if>
<#assign view_content>
${P.getCtrlCode('dataview', 'CONTROL.html').code}
</#assign>
</#if>
<#ibizinclude>
../@MACRO/VIEW_LAYOUT_BASE.ftl
</#ibizinclude>