<#if view.hasPSControl('mdctrl')>
<#assign mdctrl = view.getPSControl('mdctrl')>
<#if !mdctrl.isNoSort()>
    <#assign state = false />
    <#list mdctrl.getPSListItems() as item>
        <#if item.isEnableSort()>
        <#assign state = true/>
        <#break>
        </#if>
    </#list>
    <#if state>
    <#assign view_header_botton>
<ion-toolbar class="${srffilepath2(view.getCodeName())}-toolbar default-sort">
    <div class="view-tool">
        <div class="view-tool-sorts">
        <#list mdctrl.getPSListItems() as item>
            <#if item.isEnableSort() && !item.getPSCodeList()??>
            <div class="view-tool-sorts-item">
                <span class="text" @click="setSort('<#if item.getName()??>${item.getName()}</#if>')"><#if item.getCaption()??>${item.getCaption()}</#if></span>
                <span class="sort-icon" @click="setSort('<#if item.getName()??>${item.getName()}</#if>')">
                    <ion-icon :class="{'ios' : true ,'hydrated': true ,'sort-select': sort.asc == '<#if item.getName()??>${item.getName()}</#if>'}" name="chevron-up-outline" ></ion-icon>
                    <ion-icon :class="{'ios' : true ,'hydrated': true ,'sort-select': sort.desc == '<#if item.getName()??>${item.getName()}</#if>'}" name="chevron-down-outline" ></ion-icon>
                </span>
            </div>
            </#if>
        </#list>
        </div>
    </div>
</ion-toolbar>
    </#assign>
    </#if>
</#if>
<#assign view_content>
    <div style="display:flex;overflow: auto;">
    <#list mdctrl.getPSListItems() as item>
        <#if item.isEnableSort() && item.getPSCodeList?? && item.getPSCodeList()??>
        <#assign codelist = item.getPSCodeList()>
        <#if codelist.getCodeListType() == 'STATIC' && codelist.getAllPSCodeItems()??>
        <app-van-select name="<#if item.getName()??>n_${item.getName()?lower_case}_eq</#if>" title="<#if item.getCaption()??>${item.getCaption()}</#if>" :items="[<#list codelist.getAllPSCodeItems() as codeitem>{value:'<#if codeitem.getValue()??>${codeitem.getValue()}</#if>',label:'<#if codeitem.getName()??>${codeitem.getName()}</#if>'},</#list>]"></app-van-select>
        </#if>
        </#if>
    </#list>   
    </div>
${P.getCtrlCode('mdctrl', 'CONTROL.html').code}
</#assign>
</#if>
<#ibizinclude>
../@MACRO/VIEW_LAYOUT_BASE.ftl
</#ibizinclude>